Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## context.arch.util
Class ConfigObject

    java.lang.Object
      |
      +--context.arch.util.ConfigObject

public class ConfigObject
extends java.lang.Object

This class implements a configuration object, encapsulating its hostname, port, id, and a type.

See Also:
  `ConfigObjects`

Constructor Summary
`ConfigObject(java.lang.String id, java.lang.String host, java.lang.String port, java.lang.String type)` Basic constructor

Method Summary
`java.lang.String` | `getHost()` Returns the component's host
`java.lang.String` | `getId()` Returns the component's id
`java.lang.String` | `getPort()` Returns the component's port
`java.lang.String` | `getType()` Returns the component's type
`void` | `setHost(java.lang.String host)` Sets the component's hostname
`void` | `setId(java.lang.String id)` Sets the component's id
`void` | `setPort(java.lang.String port)` Sets the component's port
`void` | `setType(java.lang.String type)` Sets the component's type
`java.lang.String` | `toString()` Returns a string version of this class

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ConfigObject

    public ConfigObject(java.lang.String id,
                        java.lang.String host,
                        java.lang.String port,
                        java.lang.String type)

  Basic constructor
  Parameters:
    `id` - Id of the component
    `host` - Hostname of the machine the component is running on
    `port` - Port the component is running on
    `type` - Type of component

Method Detail

### getPort

    public java.lang.String getPort()

  Returns the component's port
  Returns:
    the component port

### setPort

    public void setPort(java.lang.String port)

  Sets the component's port
  Parameters:
    `port` - the component port

### getHost

    public java.lang.String getHost()

  Returns the component's host
  Returns:
    the component host

### setHost

    public void setHost(java.lang.String host)

  Sets the component's hostname
  Parameters:
    `host` - the component hostname

### getId

    public java.lang.String getId()

  Returns the component's id
  Returns:
    the component id

### setId

    public void setId(java.lang.String id)

  Sets the component's id
  Parameters:
    `id` - the component id

### getType

    public java.lang.String getType()

  Returns the component's type
  Returns:
    the component type

### setType

    public void setType(java.lang.String type)

  Sets the component's type
  Parameters:
    `type` - the component type

### toString

    public java.lang.String toString()

  Returns a string version of this class
  Overrides:
    toString in class java.lang.Object
  Returns:
    string version of this class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD